Subject: Re: FVWM: focus, again (fwd)

From: Giuseppe Della Ricca <[email-masked]>
Date: Mon, 19 Aug 2002 11:49:57 +0200 (CEST)

On Mon, 19 Aug 2002, Dominik Vogt wrote:
> On Sun, Aug 18, 2002 at 01:21:48AM +0000, Mikhael Goikhman wrote:
> > On 17 Aug 2002 20:43:32 +0200, Giuseppe Della Ricca wrote:
> > > 
> > > I have a doubt from the man page:
> > > 
> > >               GrabFocus causes a newly  mapped  window  to
> > >               grab  the  focus,  while  GrabFocusOff turns
> > >               this off.   GrabFocus  is  the  default  for
> > >               ClickToFocus windows and GrabFocusOff is the
> > >               default for MouseFocus and SloppyFocus  win?
> > >               dows.   Note  that  this  option is switched
> > >               back to the default every  time  you  change
> > >               the  focus policy.  You have to use it after
> > >               the initial  ClickToFocus/MouseFocus/Sloppy?
> > >               Focus.
> > > 
> > > to me (non native English) this means that if I issue:
> > > 
> > > Style * ClickToFocus
> > > 
> > > than I automatically get GrabFocus for free. But experimentally this is
> > > not true (new windows are not raised/don't get focus).
> > > 
> > > Everything is fine if I issue:
> > > 
> > > Style * ClickToFocus, GrabFocus
> > > 
> > > but GrabFocus should be the default with ClickToFocus, or not ?
> 
> Ah yes.  I wasn't aware of the old behaviour and changed it.
> What should it do?  Reset GrabFocus or leave it as it was?

well, I don't know ....

you should either revert to the old behaviour or change the man page

I'm used to the old behaviour (I immediately added GrabFocus to my Style !)
and I think that probably many people using ClickToFocus are, so ...

half a vote for the old behaviour ;-)

> > You forgot to say that you use the cvs version.
> > 
> > I can reproduce this problem, i.e. ClickToFocus does not set GrabFocus,
> > although I see in the code it does set.
> 
> It now only sets the default.  Once GrabFocus or GrabFocusOff is
> used, the default is ignored.
> 
> > There is a more serious problem. With SloppyFocus/MouseFocus, GrabFocus
> > only works now when the pointer is on the root and not in the window.
> 
> I see no such problem.  Can you narrow down the config to make
> this happen?

cheers,
Giuseppe.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].